import { useI18n } from "vue-i18n";

export const useHeaderMenuConfig = () => {
  const { t } = useI18n();

  return [
    {
      label: t("header_menu.corporate_information.title"),
      key: "corporate_information",
      children: [
        {
          label: t("header_menu.corporate_information.company_overview"),
          key: "company_overview",
          href: "/companyoverview",
        },
        {
          label: t("header_menu.corporate_information.business_introduction"),
          key: "business_introduction",
          href: "/businessservices",
        },
        {
          label: t("header_menu.corporate_information.management"),
          key: "management",
          href: "/manage",
        },
        {
          label: t("header_menu.corporate_information.board_of_directors"),
          key: "board_of_directors",
          href: "/boarddirectors",
        },
        {
          label: t("header_menu.corporate_information.committee_appointments"),
          key: "committee_appointments",
          href: "/committeeappointment",
        },
        {
          label: t("header_menu.corporate_information.governance"),
          key: "governance",
          href: "/govern",
        },
        // {
        //   label: t("header_menu.corporate_information.corporate_video"),
        //   key: "corporate_video",
        // },//暂时隐藏本菜单
      ],
    },
    {
      label: t("header_menu.financial_information.title"),
      key: "financial_information",
      children: [
          {
            label: t("header_menu.financial_information.sec_filings"),
            key: "sec_filings",
            href: "/secfilings",
          },
        {
          label: t("header_menu.financial_information.annual_reports"),
          key: "annual_reports",
          href: "/annualreports",
        },
        {
          label: t("header_menu.financial_information.quarterly_reports"),
          key: "quarterly_reports",
          href: "/quarterlyreports",
        },
      ],
    },
    {
      label: t("header_menu.stock_information.title"),
      key: "stock_information",
      children: [
        {
          label: t("header_menu.stock_information.stock_quote"),
          key: "stock_quote",
          href:'/stock-quote'
        },
        {
          label: t("header_menu.stock_information.historic_stock_price"),
          key: "historic_stock_price",
          href:'/historic-stock'
        },
        // {
        //   label: t("header_menu.stock_information.investment_calculator"),
        //   key: "investment_calculator",
        //   href:'/calculator'
        // },
      ],
    },
    {
      label: t("header_menu.news_releases.title"),
      key: "news_releases",
      children: [
        {
          label: t("header_menu.news_releases.press_releases"),
          key: "press_releases",
          href: "/press-releases",
        },
        {
          label: t("header_menu.news_releases.events_calendar"),
          key: "events_calendar",
          href: "/events-calendar",
        },
      ],
    },
    {
      label: t("header_menu.investor_resources.title"),
      key: "investor_resources",
      children: [
        {
          label: t("header_menu.investor_resources.ir_contacts"),
          key: "ir_contacts",
          href:'/contacts'
        },
        {
          label: t("header_menu.investor_resources.email_alerts"),
          key: "email_alerts",
            href:'/email-alerts'
        },
      ],
    },
  ];
};
